# Uses of Class
org.eclipse.birt.report.engine.api.EngineConfig

Packages that use EngineConfig
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of EngineConfig in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return EngineConfig
Modifier and Type
Method
Description
`protected EngineConfig`
ReportRunner.`createEngineConfig()`
new a EngineConfig and config it with user's setting
`EngineConfig`
IReportEngine.`getConfig()`
Returns the engine configuration object.
`EngineConfig`
ReportEngine.`getConfig()`
returns the engine configuration object
Methods in org.eclipse.birt.report.engine.api with parameters of type EngineConfig
Modifier and Type
Method
Description
`IReportEngine`
IReportEngineFactory.`createReportEngine(EngineConfig config)`
create a new report engine object.
Constructors in org.eclipse.birt.report.engine.api with parameters of type EngineConfig
Modifier
Constructor
Description
``
`ReportEngine(EngineConfig config)`
Constructor.